Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 219462 - net-libs/libfwbuilder-2.1.14 fails w/ gcc-4.3.0; bump to 2.1.18 and patch
Summary: net-libs/libfwbuilder-2.1.14 fails w/ gcc-4.3.0; bump to 2.1.18 and patch
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Jeremy Olexa (darkside) (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3 219471
  Show dependency tree
 
Reported: 2008-04-27 13:58 UTC by Peter Alfredsen (RETIRED)
Modified: 2008-06-09 01:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libfwbuilder-2.1.18-gcc43.patch (libfwbuilder-2.1.18-gcc43.patch,296 bytes, patch)
2008-04-27 13:59 UTC, Peter Alfredsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Alfredsen (RETIRED) gentoo-dev 2008-04-27 13:58:40 UTC
i686-pc-linux-gnu-g++ -c -pipe -Wall -W -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -Wno-unused-parameter -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -fPIC   -I/usr/qt/3/mkspecs/linux-g++ -I/var/tmp/portage/net-libs/libfwbuilder-2.1.14/work/libfwbuilder-2.1.14/src/fwbuilder -I.. -I../.. -I/usr/include -I/usr/include/libxml2 -I-pthread -I.ui/ -o .obj/dns.o dns.cpp
i686-pc-linux-gnu-g++ -c -pipe -Wall -W -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -Wno-unused-parameter -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -fPIC   -I/usr/qt/3/mkspecs/linux-g++ -I/var/tmp/portage/net-libs/libfwbuilder-2.1.14/work/libfwbuilder-2.1.14/src/fwbuilder -I.. -I../.. -I/usr/include -I/usr/include/libxml2 -I-pthread -I.ui/ -o .obj/Firewall.o Firewall.cpp
dns.cpp:221:3: warning: #warning "getHostByAddr will use default system timeout because bind library was not found on the system "
dns.cpp:343:3: warning: #warning "No gethostbyaddr_r(); all DNS calls will be serialized (slow!)"
dns.cpp:428:3: warning: #warning "No gethostbyname_r() all DNS calls will be serialized (slow!)"
In file included from ../fwbuilder/dns.h:56,
                 from dns.cpp:58:
../fwbuilder/IPAddress.h:84: warning: type qualifiers ignored on function return type
dns.cpp: In static member function ‘static libfwbuilder::HostEnt libfwbuilder::DNS::getHostByAddr(const libfwbuilder::IPAddress&)’:
dns.cpp:300: error: ‘malloc’ was not declared in this scope
dns.cpp:361: error: ‘free’ was not declared in this scope
dns.cpp:372: error: ‘free’ was not declared in this scope
dns.cpp:295: warning: unused variable ‘hostbuf’
dns.cpp: In static member function ‘static std::list<libfwbuilder::IPAddress, std::allocator<libfwbuilder::IPAddress> > libfwbuilder::DNS::getHostByName(const std::string&)’:
dns.cpp:442: error: ‘strerror’ was not declared in this scope
dns.cpp:459: error: ‘free’ was not declared in this scope
dns.cpp:470: error: ‘free’ was not declared in this scope
dns.cpp:381: warning: unused variable ‘hostbuf’
dns.cpp:384: warning: unused variable ‘hstbuflen’
dns.cpp:385: warning: unused variable ‘herr’
make[2]: *** [.obj/dns.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from ../fwbuilder/Address.h:32,
                 from ../fwbuilder/Host.h:33,
                 from ../fwbuilder/Firewall.h:31,
                 from Firewall.cpp:33:
../fwbuilder/IPAddress.h:84: warning: type qualifiers ignored on function return type
make[2]: Leaving directory `/var/tmp/portage/net-libs/libfwbuilder-2.1.14/work/libfwbuilder-2.1.14/src/fwbuilder'
make[1]: *** [sub-fwbuilder] Error 2
make[1]: Leaving directory `/var/tmp/portage/net-libs/libfwbuilder-2.1.14/work/libfwbuilder-2.1.14/src'
make: *** [sub-src] Error 2
Comment 1 Peter Alfredsen (RETIRED) gentoo-dev 2008-04-27 13:59:50 UTC
Created attachment 151140 [details, diff]
libfwbuilder-2.1.18-gcc43.patch

Fixes the problem. Snatched from upstream bugzie.
Comment 2 Łukasz Damentko (RETIRED) gentoo-dev 2008-05-27 13:25:24 UTC
r3pek was retired (#80351), reassigning remaining bugs.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-06-07 07:06:08 UTC
Many fwbuilder bugs. I'm in the process of fixing.
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-06-09 01:21:02 UTC
Fixed in CVS. Thanks for doing the hard part! ;)